Package com.mouseviator.fsuipc.helpers.aircraft

# Class GearHelper

java.lang.Object
com.mouseviator.fsuipc.helpers.aircraft.GearHelper

    public class GearHelper
    extends java.lang.Object

This class provides methods that return data requests to gather various info about aircraft gear.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `GearHelper()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `IDataRequest<java.lang.Short>` | `getCenterWheelRPM()` | Returns data request to get center (nose or tail) wheel RPM.
  `IntRequest` | `getControlLever()` | Returns data request to get/set gear control.
  `IntRequest` | `getLefttPosition()` | Returns data request to get/set left gear position.
  `IDataRequest<java.lang.Short>` | `getLeftWheelRPM()` | Returns data request to get left wheel RPM.
  `IntRequest` | `getNosePosition()` | Returns data request to get/set nose gear position.
  `IntRequest` | `getRightPosition()` | Returns data request to get/set right gear position.
  `IDataRequest<java.lang.Short>` | `getRightWheelRPM()` | Returns data request to get right wheel RPM.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GearHelper

    public GearHelper()

- ## Method Details

  - ### getControlLever

    public IntRequest getControlLever()
    Returns data request to get/set gear control. The value returned by this request / or to be set by this request, ranges from 0 to 16383. Where: 0=full up, 16383=full down. Note that the returned object will be READ request by default. To make it write request, call its `IDataRequest.setType(com.mouseviator.fsuipc.datarequest.IDataRequest.RequestType)` method with parameter `IDataRequest.RequestType.WRITE`.
    Returns:
      Data request to get/set nose gear position.

  - ### getNosePosition

    public IntRequest getNosePosition()
    Returns data request to get/set nose gear position. The value returned by this request / or to be set by this request, ranges from 0 to 16383. Where: 0=full up, 16383=full down. Note that the returned object will be READ request by default. To make it write request, call its `IDataRequest.setType(com.mouseviator.fsuipc.datarequest.IDataRequest.RequestType)` method with parameter `IDataRequest.RequestType.WRITE`.
    Returns:
      Data request to get/set nose gear position.

  - ### getRightPosition

    public IntRequest getRightPosition()
    Returns data request to get/set right gear position. The value returned by this request / or to be set by this request, ranges from 0 to 16383. Where: 0=full up, 16383=full down. Note that the returned object will be READ request by default. To make it write request, call its `IDataRequest.setType(com.mouseviator.fsuipc.datarequest.IDataRequest.RequestType)` method with parameter `IDataRequest.RequestType.WRITE`.
    Returns:
      Data request to get/set right gear position.

  - ### getLefttPosition

    public IntRequest getLefttPosition()
    Returns data request to get/set left gear position. The value returned by this request / or to be set by this request, ranges from 0 to 16383. Where: 0=full up, 16383=full down. Note that the returned object will be READ request by default. To make it write request, call its `IDataRequest.setType(com.mouseviator.fsuipc.datarequest.IDataRequest.RequestType)` method with parameter `IDataRequest.RequestType.WRITE`.
    Returns:
      Data request to get/set left gear position.

  - ### getCenterWheelRPM

    public IDataRequest<java.lang.Short> getCenterWheelRPM()
    Returns data request to get center (nose or tail) wheel RPM.
    Returns:
      Data request to get center wheel RPM.

  - ### getLeftWheelRPM

    public IDataRequest<java.lang.Short> getLeftWheelRPM()
    Returns data request to get left wheel RPM.
    Returns:
      Data request to get left wheel RPM.

  - ### getRightWheelRPM

    public IDataRequest<java.lang.Short> getRightWheelRPM()
    Returns data request to get right wheel RPM.
    Returns:
      Data request to get right wheel RPM.